bosco_cluster(1)

Name

bosco_clusterManage and configure the clusters to be accessed.

Synopsis
bosco_cluster[ - h|| -- help]

bosco_cluster[ - l|| -- list] [ - a|| -- add <host> [schedd]] [ - r|| -- remove <host>] [ - s|| -- status <host>] [ - t|| -- test <host>]

Description

bosco_clusteris part of the Bosco system for accessing high throughput computing resources from a local desktop. For detailed information, please see the Bosco web site: https://osg-bosco.github.io/docs/

bosco_clusterenables management and configuration of the computing resources the Bosco tools access; these are called clusters.

A <host>is of the form user@fqdn.example.com.

Options

&mdash;help

    Print usage information and exit.

&mdash;list

    List all installed clusters.

&mdash;remove <host>

    Remove an already installed cluster, where the cluster is identified by <host>.

&mdash;add <host> [scheduler]

    Install and add a cluster defined by <host>. The optional schedulerspecifies the scheduler on the cluster. Valid values are pbs, lsf, condor, sgeor slurm. If not given, the default will be pbs.

&mdash;status <host>

    Query and print the status of an already installed cluster, where the cluster is identified by <host>.

&mdash;test <host>

    Attempt to submit a test job to an already installed cluster, where the cluster is identified by <host>.

Author
Center for High Throughput Computing, University of Wisconsin&ndash;Madison

Copyright
Copyright © 1990-2019 Center for High Throughput Computing, Computer Sciences Department, University of Wisconsin-Madison, Madison, WI. All Rights Reserved. Licensed under the Apache License, Version 2.0.